summaryrefslogtreecommitdiffstats
path: root/source/l/gd/gd.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gd/gd.SlackBuild')
-rwxr-xr-xsource/l/gd/gd.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/l/gd/gd.SlackBuild b/source/l/gd/gd.SlackBuild
index 2f11fd5d2..ca3b7a8a0 100755
--- a/source/l/gd/gd.SlackBuild
+++ b/source/l/gd/gd.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gd
VERSION=${VERSION:-$(echo libgd-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -79,6 +79,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Restore macros used by PHP:
+zcat $CWD/gd.f4bc1f5c26925548662946ed7cfa473c190a104a.patch.gz | patch -p1 --verbose || exit
+
#./bootstrap.sh
# Configure: